SeExpr

Public Member Functions | List of all members
SeExpr2::LLVMEvaluator Class Reference

`#include <Evaluator.h>`

## Public Member Functions
void | unsupported ()
const char * | evalStr (VarBlock *varBlock)
const double * | evalFP (VarBlock *varBlock)
bool | prepLLVM (ExprNode *parseTree, ExprType desiredReturnType)
void | evalMultiple (VarBlock *varBlock, int outputVarBlockOffset, size_t rangeStart, size_t rangeEnd)
void | debugPrint ()

## Detailed Description

Definition at line 388 of file Evaluator.h.

## Member Function Documentation

## ◆ debugPrint()

void SeExpr2::LLVMEvaluator::debugPrint | ( |  | ) |
| inline

Definition at line 406 of file Evaluator.h.

Referenced by SeExpr2::Expression::debugPrintLLVM().

## ◆ evalFP()

const double* SeExpr2::LLVMEvaluator::evalFP | ( | VarBlock * | varBlock | ) |
| inline

Definition at line 395 of file Evaluator.h.

References unsupported().

Referenced by SeExpr2::Expression::evalFP().

## ◆ evalMultiple()

void SeExpr2::LLVMEvaluator::evalMultiple | ( | VarBlock * | varBlock,
|  | int | outputVarBlockOffset,
|  | size_t | rangeStart,
|  | size_t | rangeEnd
| ) |  |
| inline

Definition at line 403 of file Evaluator.h.

References unsupported().

Referenced by SeExpr2::Expression::evalMultiple().

## ◆ evalStr()

const char* SeExpr2::LLVMEvaluator::evalStr | ( | VarBlock * | varBlock | ) |
| inline

Definition at line 391 of file Evaluator.h.

References unsupported().

Referenced by SeExpr2::Expression::evalStr().

## ◆ prepLLVM()

bool SeExpr2::LLVMEvaluator::prepLLVM | ( | ExprNode * | parseTree,
|  | ExprType | desiredReturnType
| ) |  |
| inline

Definition at line 399 of file Evaluator.h.

References unsupported().

Referenced by SeExpr2::Expression::prep().

## ◆ unsupported()

void SeExpr2::LLVMEvaluator::unsupported | ( |  | ) |
| inline

Definition at line 390 of file Evaluator.h.

Referenced by evalFP(), evalMultiple(), evalStr(), and prepLLVM().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Evaluator.h